Bug 485467 - Client crashes when reconnecting to a restarted cluster node
Client crashes when reconnecting to a restarted cluster node
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Rajith Attapattu
Frantisek Reznicek
IG Index
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 12:18 EST by Arnaud Simon
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 09:41:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2009-02-13 12:18:53 EST
Description of problem:
The client crashes when reconnecting to a restarted cluster node. 

How reproducible:
- Start a cluster with 3 nodes A, B and C
- start a consumer java client configure to connect to A, B and C
- crash A 
- crash B 
- restart A and B 
- crash C
===> exception on the client side is: 
org.apache.qpid.transport.ConnectionException: connection closed
	at org.apache.qpid.transport.Connection.send(Connection.java:294)
	at org.apache.qpid.transport.Session.send(Session.java:455)
	at org.apache.qpid.transport.Session.invoke(Session.java:599)
	at org.apache.qpid.transport.SessionInvoker.sessionRequestTimeout(SessionInvoker.java:48)
	at org.apache.qpid.transport.Session.close(Session.java:797)
	at org.apache.qpid.client.AMQSession_0_10.sendClose(AMQSession_0_10.java:272)
	at org.apache.qpid.client.AMQSession.close(AMQSession.java:639)
	at org.apache.qpid.client.AMQSession.close(AMQSession.java:488)
	at uk.co.igindex.amqp.manager.AmqpConnectionManager.stop(AmqpConnectionManager.java:46)
	at uk.co.igindex.amqp.manager.AmqpConnectionManager.onException(AmqpConnectionManager.java:110)
	at org.apache.qpid.client.AMQConnectionDelegate_0_10.closed(AMQConnectionDelegate_0_10.java:273)
	at org.apache.qpid.transport.Connection.closed(Connection.java:445)
	at org.apache.qpid.transport.network.Assembler.closed(Assembler.java:113)
	at org.apache.qpid.transport.network.InputHandler.closed(InputHandler.java:201)
	at org.apache.qpid.transport.network.io.IoReceiver.run(IoReceiver.java:151)
	at java.lang.Thread.run(Thread.java:619)
2009-02-13 18:05:56,117 WARN  [IoReceiver - localhost/127.0.0.1:5672] util.Logger (Logger.java:86) - Ignoring the idle timeout 0 set by the connection, using the brokers max value 12
Comment 1 Gordon Sim 2009-02-17 07:03:30 EST
Rajith, can you see if you can reproduce this (consult with Arnaud if necessary). If not, lets close it.
Comment 2 Arnaud Simon 2009-03-04 09:41:31 EST
See https://issues.apache.org/jira/browse/QPID-1712
The problem has been fixed.

Note You need to log in before you can comment on or make changes to this bug.